For the complete documentation index, see llms.txt. This page is also available as Markdown.

Withdraw

Create a withdraw psbt to be signed by the user.

get
/v1/brc20-swap/create_withdraw
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pubkeystringRequired
addressstringRequired
tickstringRequired
amountstringRequired
tsnumberRequired
Responses
200

Default Response

application/json
codenumberRequired
msgstringRequired
get/v1/brc20-swap/create_withdraw
200

Default Response

User signature withdraw psbt, submit confirmation.

post
/v1/brc20-swap/confirm_withdraw
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRequired

The withdraw order id

sigstringRequired
paymentPsbtstringRequired
approvePsbtstringRequired
Responses
200

Default Response

application/json
codenumberRequired
msgstringRequired
dataobjectRequired
post/v1/brc20-swap/confirm_withdraw
200

Default Response

Last updated